// ******************************************************************************/
// * @file     option_def.h
// * @brief    Code Option define
// *           
// * @version  V1.04
// * @date     07. May 2021
// ******************************************************************************/

#ifndef _Option_H
#define _Option_H

/* Includes ------------------------------------------------------------------*/
#include <eKTF7020.h>

#define OPTION1_BASE           	((uint32_t)0x1FFFEC00)
#define OPTION2_BASE           	((uint32_t)0x1FFFEC80)
#define INFO_BASE           		((uint32_t)0x1FFFF400)
#define TRIMCODE_BASE           ((uint32_t)0x1FFFF800)

#define	OPTCR1_BASE							(OPTION1_BASE + 0x0000)
#define	OPTCR2_BASE							(OPTION1_BASE + 0x0004)
#define	OPTCR3_BASE							(OPTION1_BASE + 0x0008)

#define	SYSOPT_CFGR_BASE				(OPTION1_BASE + 0x003C)
#define	SYSCFG_CFGR_BASE				(OPTION1_BASE + 0x0040)

#define	FRDP1_BASE							(OPTION2_BASE + 0x0000)
#define	FRDP2_BASE							(OPTION2_BASE + 0x0004)
#define	FWRP1_BASE							(OPTION2_BASE + 0x0008)
#define	FWRP2_BASE							(OPTION2_BASE + 0x000C)

#define	CHIPPT_BASE							(OPTION2_BASE + 0x007C)

#define OPTRES1_BASE						(OPTION1_BASE + 0x000C)
#define OPTRES2_BASE						(OPTION1_BASE + 0x0044)
#define OPTRES3_BASE						(OPTION2_BASE + 0x0010)


#endif
