/**************************************************************************//**
 * @file     system_ELAN_M0plus_eKTF7020.h
 * @brief    ELAN Device System Header File for
 *           ELAN_CM0plus Device
 * @version  V4.00
 * @date     10. Sep 2020
 ******************************************************************************/
/* Copyright (c) 2011 - 2015 ARM LIMITED*/


#ifndef SYSTEM_ELAN_M0plus_eKTF7020_H
#define SYSTEM_ELAN_M0plus_eKTF7020_H

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

extern uint32_t SystemCoreClock;     /*!< System Clock Frequency (Core Clock) */


/**
  \brief Setup the microcontroller system.

   Initialize the System and update the SystemCoreClock variable.
 */
extern void SystemInit (void);


/**
  \brief  Update SystemCoreClock variable.

   Updates the SystemCoreClock with current core Clock retrieved from cpu registers.
 */
extern void SystemCoreClockUpdate (void);

#ifdef __cplusplus
}
#endif

#endif /* SYSTEM_ELAN_M0plus_eKTF7020_H */
